# JSDoc: Namespace: local

# Namespace: local

## .net.local

Provides networking functions for the local/internal network of the zombie.

Source:
  - net/local.js, line 7

### Methods

#### (static) getLocalAddress() → {String}

Returns the internal IP address of the zombie.

Source:
  - net/local.js, line 54

##### Returns:

the internal ip of the zombie.

Type
  String

#### (static) getLocalHostname() → {String}

Returns the internal hostname of the zombie.

Source:
  - net/local.js, line 72

##### Returns:

the internal hostname of the zombie.

Type
  String

#### (static) initializeSocket()

Initializes the java socket. We have to use this method because some browsers do not have java installed or it is not accessible. in which case creating a socket directly generates an error. So this code is invalid: sock: new java.net.Socket();

Source:
  - net/local.js, line 24